Update Slack Channel Mapping

Update the TaskAgent or display name for a Slack channel mapping.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID
installation_idstringRequiredformat: "uuid"
mapping_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
channel_namestring or nullOptional<=255 characters

Human-readable Slack channel name.

task_agent_idstring or nullOptionalformat: "uuid"
TaskAgent assigned to this channel.

Response

Successful Response
idstringformat: "uuid"
Slack channel mapping ID.
slack_installation_idstringformat: "uuid"
Parent Slack installation ID.
channel_idstring
Slack channel ID.
task_agent_idstringformat: "uuid"
TaskAgent assigned to this channel.
createdstring
When the channel mapping was created.
modifiedstring
When the channel mapping was last updated.
channel_namestring or null

Human-readable Slack channel name.

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error